{ pkgs, ... }:

{
  programs.neovim = { 
    enable = true;
    viAlias = true;
    vimAlias = true;
    defaultEditor = true;
    plugins = with pkgs.vimPlugins; [ vim-nix ];
    extraConfig = ''
    " Temporary configuration for editing Nix files
    syntax on
    set autoindent
    set expandtab
    set tabstop=2
    set shiftwidth=2
    '';
  };
}
